
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "ruby_pinyin/version"

Gem::Specification.new do |spec|
  spec.name          = "ruby_pinyin"
  spec.version       = PinYin::VERSION
  spec.authors       = ["Charles Zhang"]
  spec.email         = ["gis05zc@163.com"]

  spec.summary     = "Convert Chinese characters into pinyin."
  spec.description = "Pinyin is a romanization system (phonemic notation) of Chinese characters, this gem helps you to convert Chinese characters into pinyin form."
  spec.homepage      = "https://github.com/chinazhangchao/ruby-pinyin"
  spec.license = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency('rmmseg-cpp-new', ['~> 0.3.1'])
  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
end
